Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.liquids
Class LiquidEvent.LiquidFillingEvent

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.liquids.LiquidEvent
              net.minecraftforge.liquids.LiquidEvent.LiquidFillingEvent

Enclosing class:
  LiquidEvent

    public static class LiquidEvent.LiquidFillingEvent

extends LiquidEvent

Mods should fire this event when a liquid is `ILiquidTank.fill(LiquidStack, boolean)` their tank implementation. `LiquidTank` does.

Author:
  cpw

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.liquids.LiquidEvent
`LiquidEvent.LiquidDrainingEvent, LiquidEvent.LiquidFillingEvent, LiquidEvent.LiquidMotionEvent, LiquidEvent.LiquidSpilledEvent`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.HasResult, Event.Result`

Field Summary
`ILiquidTank` | `tank`

Fields inherited from class net.minecraftforge.liquids.LiquidEvent
`liquid, world, x, y, z`

Constructor Summary
`LiquidEvent.LiquidFillingEvent(LiquidStack liquid, World world, int x, int y, int z, ILiquidTank tank)`

Method Summary

Methods inherited from class net.minecraftforge.liquids.LiquidEvent
`fireEvent`

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tank

    public final ILiquidTank tank

Constructor Detail

### LiquidEvent.LiquidFillingEvent

    public LiquidEvent.LiquidFillingEvent(LiquidStack liquid,
                                          World world,
                                          int x,
                                          int y,
                                          int z,
                                          ILiquidTank tank)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD